Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: digikam problem after upgrade to kde 4.4

  1. #1
    Join Date
    Jan 2009
    Location
    Rome
    Posts
    51

    Default digikam problem after upgrade to kde 4.4

    digikam doesn't start
    ~/.kde4 has been reset
    tried to copy ~/.kde4previous/*/*digikam* to .kde4 related paths
    running from console:
    riccardo@homeSUSE:~> digikam
    digikam: symbol lookup error: /usr/lib64/libdigikamcore.so.1: undefined symbol: _ZN6Marble12MarbleWidget11changeEventEP6QEvent


    any idea, plz?
    Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz RAM: 8,0 GB
    OpenSUSE 11.2 x86_64 KDE 4.4
    ATI Radeon HD4830

  2. #2
    Join Date
    Jun 2008
    Location
    Queensland, Australia
    Posts
    125

    Default Re: digikam problem after upgrade to kde 4.4

    You need to install the package called marble (a mapping app). (Seems like a packaging slip-up re dependencies?)

    However, don't be surprised if digikam still fails to start. After updating to kde 4.4, I got that error with digikam. I installed marble, and digikam still fails to start. Unfortunately, with no helpful error message on a console start.

    The only reason I installed kde 4.4 was to use digikam 1.x...

    Good luck!

    Paul

  3. #3
    Join Date
    Jan 2009
    Location
    Rome
    Posts
    51

    Default Re: digikam problem after upgrade to kde 4.4

    argh!!! i've marble... i love digikam.. and starting to love kde 4.4

    let's wait for digikam fixes in factory repo...
    Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz RAM: 8,0 GB
    OpenSUSE 11.2 x86_64 KDE 4.4
    ATI Radeon HD4830

  4. #4
    Join Date
    Feb 2010
    Location
    Los Angeles, CA, USA
    Posts
    148

    Default Re: digikam problem after upgrade to kde 4.4

    if you have upgraded KDE to 4.4, then you should upgrade marble as well. Open Yast and search for "marble".

    check the versions of the three packages: marble, marble-data, plasma-addons-marble.

    I guess they are still in version 4.3.x. upgrade all three packages to 4.4.x

    that should fix the problem with digiKam
    WE ARE LINUX... RESISTANCE IS FUTILE !!
    openSUSE 13.1, KDE
    2 daughters, 1 Dog, lots of passion for Linux

  5. #5
    Join Date
    Mar 2010
    Location
    Colombia
    Posts
    7

    Default Re: digikam problem after upgrade to kde 4.4

    I had the same problem, however I installed the marble packages and digikam try to open, but it crashes after the splash screen

  6. #6
    Join Date
    Jun 2008
    Location
    West Yorkshire, UK
    Posts
    3,448

    Default Re: digikam problem after upgrade to kde 4.4

    When I was upgrading after installing from the KDE4.4.1 Live CD (from KDE but created using SuSE Studio), I got a conflict report relating to Digikam which meant I kept the older version rather than installing the newer one.

  7. #7
    Join Date
    Mar 2010
    Location
    Colombia
    Posts
    7

    Default Re: digikam problem after upgrade to kde 4.4

    It works... Yes, The downgrade fixed the problem... Thanks so much

  8. #8

    Default Re: digikam problem after upgrade to kde 4.4

    update kipi-plugins to newest version.

  9. #9
    Join Date
    Jan 2009
    Location
    Rome
    Posts
    51

    Default Re: digikam problem after upgrade to kde 4.4

    digikam latest from factory (1.2)
    kipi-plugins latest
    marble latest...


    no way... :_/
    downgrade (only) digikam (0.10) and everthong works fine :/

    bye
    Intel(R) Core(TM)2 CPU 6400 @ 2.13GHz RAM: 8,0 GB
    OpenSUSE 11.2 x86_64 KDE 4.4
    ATI Radeon HD4830

  10. #10

    Default Re: digikam problem after upgrade to kde 4.4

    Hi,

    Just to tell that upgrading kipi-plugin and marble* worked fine for.

    Thanks a lot :-)

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •